### Method

# ECal ComponentId free

#### Declaration [src]

    void
    e_cal_component_id_free (
      ECalComponentId* id
    )

#### Description [src]

Free the `id`, previously created by e_cal_component_id_new(), `e_cal_component_id_new_take()` or e_cal_component_id_copy().

This method is not directly available to language bindings.

#### Parameters

`id`

  Type: `ECalComponentId`

  An `ECalComponentId`.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.